|
Menu location |
---|
Meshes → Scale... |
Workbenches |
Mesh |
Default shortcut |
None |
Introduced in version |
- |
See also |
None |
Description
The Mesh Scale command scales mesh objects.
Usage
- Select one or more mesh objects.
- There are several ways to invoke the command:
- Press the
Scale... button.
- Select the Meshes →
Scale... option from the menu.
- Press the
- The Scaling dialog box opens.
- Specify a scaling factor, the value must be larger than
0
. - Press the OK button to finish the command.
Scripting
See also: FreeCAD Scripting Basics.
To scale a mesh use its transformGeometry
method.
import FreeCAD as App
import Mesh
# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"
# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.
# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()
# Transform that copy:
new_msh.transformGeometry(mat)
# Update msh.Mesh:
msh.Mesh = new_msh
This page is retrieved from https://wiki.freecad.org/Mesh_Scale